## net.sf.saxon.s9api
Enum ValidationMode

    java.lang.Object
      java.lang.Enum<ValidationMode>
          net.sf.saxon.s9api.ValidationMode

All Implemented Interfaces:
  Serializable, Comparable<ValidationMode>

    public enum ValidationMode

extends Enum<ValidationMode>

Enumeration class defining different schema validation (or construction) modes

Enum Constant Summary
`DEFAULT` Value indication no preference: the choice is defined elsewhere
`LAX` Lax validation
`PRESERVE` Preserve existing type annotations if any
`STRICT` Strict validation
`STRIP` Remove any existing type annotations, mark as untyped

Method Summary
`protected static ValidationMode` `get(int number)`
`protected int` `getNumber()`
`static ValidationMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValidationMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRICT

    public static final ValidationMode STRICT

  Strict validation

### LAX

    public static final ValidationMode LAX

  Lax validation

### PRESERVE

    public static final ValidationMode PRESERVE

  Preserve existing type annotations if any

### STRIP

    public static final ValidationMode STRIP

  Remove any existing type annotations, mark as untyped

### DEFAULT

    public static final ValidationMode DEFAULT

  Value indication no preference: the choice is defined elsewhere

Method Detail

### values

    public static ValidationMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValidationMode c : ValidationMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValidationMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getNumber

    protected int getNumber()

### get

    protected static ValidationMode get(int number)

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.